org.h2.schema

## Class SchemaObjectBase

- java.lang.Object
- - org.h2.engine.DbObjectBase
  - - org.h2.schema.SchemaObjectBase

All Implemented Interfaces:
  DbObject, SchemaObject

Direct Known Subclasses:
  BaseIndex, Constant, Constraint, FunctionAlias, Sequence, Table, TriggerObject

    public abstract class SchemaObjectBase
    extends DbObjectBase
    implements SchemaObject

The base class for classes implementing SchemaObject.

### Field Summary

### Fields inherited from class org.h2.engine.DbObjectBase

`comment, database, trace`

### Fields inherited from interface org.h2.engine.DbObject

`AGGREGATE, COMMENT, CONSTANT, CONSTRAINT, FUNCTION_ALIAS, INDEX, RIGHT, ROLE, SCHEMA, SEQUENCE, SETTING, TABLE_OR_VIEW, TRIGGER, USER, USER_DATATYPE`

### Constructor Summary

Constructors
Constructor and Description
`SchemaObjectBase()`

### Method Summary

Methods
`Schema` `getSchema()` Get the schema in which this object is defined
`java.lang.String` `getSQL()` Get the SQL name of this object (may be quoted).
`protected void` `initSchemaObjectBase(Schema newSchema, int id, java.lang.String name, int traceModuleId)` Initialize some attributes of this object.
`boolean` `isHidden()` Check whether this is a hidden object that doesn't appear in the meta data and in the script, and is not dropped on DROP ALL OBJECTS.

### Methods inherited from class org.h2.engine.DbObjectBase

`checkRename, getChildren, getComment, getCreateSQL, getDatabase, getDropSQL, getId, getModificationId, getName, initDbObjectBase, invalidate, isTemporary, isValid, removeChildrenAndResources, rename, setComment, setModified, setObjectName, setTemporary, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.h2.engine.DbObject

`checkRename, getChildren, getComment, getCreateSQL, getCreateSQLForCopy, getDatabase, getDropSQL, getId, getName, getType, isTemporary, removeChildrenAndResources, rename, setComment, setTemporary`

### Constructor Detail

#### SchemaObjectBase

    public SchemaObjectBase()

### Method Detail

#### initSchemaObjectBase

    protected void initSchemaObjectBase(Schema newSchema,
                            int id,
                            java.lang.String name,
                            int traceModuleId)

Initialize some attributes of this object.

Parameters:
  `newSchema` - the schema
  `id` - the object id
  `name` - the name
  `traceModuleId` - the trace module id

#### getSchema

    public Schema getSchema()

Description copied from interface: `SchemaObject`
Get the schema in which this object is defined

Specified by:
  `getSchema` in interface `SchemaObject`
Returns:
  the schema

#### getSQL

    public java.lang.String getSQL()

Description copied from interface: `DbObject`
Get the SQL name of this object (may be quoted).

Specified by:
  `getSQL` in interface `DbObject`
Overrides:
  `getSQL` in class `DbObjectBase`
Returns:
  the SQL name

#### isHidden

    public boolean isHidden()

Description copied from interface: `SchemaObject`
Check whether this is a hidden object that doesn't appear in the meta data and in the script, and is not dropped on DROP ALL OBJECTS.

Specified by:
  `isHidden` in interface `SchemaObject`
Returns:
  true if it is hidden